iMac G5 and Snow Leopard

Discussion in 'iMac' started by cjwosbon, Nov 12, 2010.

  1. cjwosbon macrumors member

    Joined:
    Feb 11, 2008
    #1
    Hello all,

    I have an iMac G5 (circa 2005) with a non intel processor, I recently purchased Snow Leopard to update this, however it advised I need an Intel Processor to install Snow Leopard.

    Is there a way of getting round this, the main reason being is I want to use the Magic Trackpad - but ive been told this will only run on Snow Leopard OSX?

    If anyone could answer this asap I would be grateful, today is the last day I can take back Snow Leopard and the Magic Trackpad to the Apple Store for a refund.

    Thanks as always

    Chris
     
  2. 300D macrumors 65816

    300D

    Joined:
    May 2, 2009
    Location:
    Tulsa
  3. cjwosbon thread starter macrumors member

    Joined:
    Feb 11, 2008
  4. Winni macrumors 68030

    Winni

    Joined:
    Oct 15, 2008
    Location:
    Germany.
    #4
    Nothing at all. Really.

    Snow Leopard only contains code for Intel CPUs. There is NO way to make it run on a PowerPC processor. PowerPC Macs are no longer supported by Apple.
     
  5. cjwosbon, Nov 12, 2010
    Last edited: Nov 12, 2010

    cjwosbon thread starter macrumors member

    Joined:
    Feb 11, 2008
    #5
    Ok thanks to both of you for answering my question, youre help is appreciated!

    Chris
     

Share This Page